{
  "name": "@apps/analytics-data-plane-ui",
  "version": "0.8.0",
  "type": "module",
  "scripts": {
    "dev": "vite --host",
    "build": "run-p type-check build-only",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --noEmit"
  },
  "dependencies": {
    "@guolao/vue-monaco-editor": "^1.5.4",
    "@nestjs/swagger": "^11.0.4",
    "@primevue/themes": "^4.2.4",
    "@tsg-dsp/common-dsp": "workspace:*",
    "@tsg-dsp/common-dtos": "workspace:*",
    "@tsg-dsp/common-ui": "workspace:*",
    "axios": "^1.7.8",
    "chart.js": "^4.4.8",
    "did-resolver": "^4.1.0",
    "pinia": "^3.0.1",
    "primeicons": "^7.0.0",
    "primevue": "^4.2.5",
    "tailwindcss": "^3.4.15",
    "tailwindcss-primeui": "^0.4.0",
    "vite": "^6.1.1",
    "vue": "^3.5.13",
    "vue-router": "^4.5.0"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.10.5",
    "@tsconfig/node22": "^22.0.0",
    "@types/node": "^22.13.4",
    "@vitejs/plugin-vue": "^5.2.1",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/tsconfig": "^0.7.0",
    "autoprefixer": "^10.4.20",
    "eslint": "^9.20.1",
    "eslint-plugin-vue": "^9.31.0",
    "npm-run-all2": "^7.0.1",
    "postcss": "^8.5.3",
    "prettier": "^3.5.1",
    "sass": "^1.85.0",
    "typescript": "^5.7.3",
    "vue-tsc": "^2.2.2"
  }
}
